> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-8/v8-0-0.md).

# Version 8.0.0 Changelog (September 30, 2020)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 8.0.0

Release Date: September 30, 2020

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 8.0.0 of the iOS and Android SDKs. More information can be found on [What's New for iOS](/ios/changelogs/version-8/v8-0-0-76251.md) and [What's New for Android](/android/changelogs/version-8/v8-0-0.md).

## Xamarin.Android

### New features

* Intuitive UI design and advanced customization APIs with new beta viewer [PdfViewCtrlTabHostFragment2](/xamarin/viewer/new-document-viewer-ui-x.md#android). Check out the [integration guide](/xamarin/viewer/new-ui-integration-x.md#android), [customization guide](/xamarin/viewer/new-ui-customization-x.md#android) and the [migration guide](/xamarin/viewer/new-ui-migration-x.md#android)

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-c5790d629455a6a7c992a2b42e4492c47f0acd23%2F9c4ee5625625f1966fba3f0beff3082a68a7d16e-600x1067.gif?alt=media)

* Theme overhaul, `CustomAppTheme` is no longer required to be hard coded as-is in your application. All UI components are now mapped to specific attributes that you can define in your application. Then the theme will be passed into the viewer with [`ViewerBuilder.usingTheme`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Config.ViewerBuilder.html#pdftron_PDF_Config_ViewerBuilder_UsingTheme_System_Int32_). It is also possible to continue what you are currently doing, see breaking change section for how to upgrade
* Adds border effect to [`Square`](https://sdk.apryse.com/api/xamarinandroid/pdfnet/api/pdftron.PDF.Annots.Square.html) annotation, available styles are default line and cloud shape

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-faa663ec3810775aa802fc19c76ced069fbd2d50%2F82b54d6152a7efe5bc798a88c5549920662ff3a1-420x886.gif?alt=media)

* Adds support for the xls format
* Adds support for Right-to-left languages within office files
* See all cross-platform changelog here: [8.0.0](/core/changelogs/version-8/8-0-0.md)

### Breaking changes

* Theme has been reworked so you will no longer need to have a theme called `CustomAppTheme` in your application. `ViewerBuilder` now accepts a custom theme with `usingTheme` API. However, if you are currently overriding `CustomAppTheme` in your application, to upgrade to this version you will need to change the parent theme of your `CustomAppTheme` or custom theme to use `CustomAppThemeBase`. Otherwise you will need to define all the custom attributes described in the [theme guide](/xamarin/guides/viewer-components/custom-theme-a.md).

Typically, all you need to do is changing the parent theme of `CustomAppTheme` in your application to `CustomAppThemeBase`:

{% tabs %}
{% tab title="XML" %}
{% code lineNumbers="true" %}

```xml
<style name="CustomAppTheme" parent="CustomAppThemeBase"> <item name="colorPrimary">@color/app_color_primary_day</item> <item name="colorPrimaryDark">@color/app_color_primary_dark_day</item> <item name="colorAccent">@color/app_color_accent</item> </style>
```

{% endcode %}
{% endtab %}
{% endtabs %}

If you are experiencing issues with upgrading, please don't hesitate to [contact us](https://apryse.com/form/request).

## Xamarin.iOS

### New features

The new UI includes an all-new annotation toolbar system. The new UI:

* has better UX and a more attractive UI
* is more easily customizable by APIs
* accommodates more tools
* is user-customizable
* is nearly 100% backward compatible with the existing UI, making migration easy.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-e483ff1233f16d662b2f2db57e5458398403ca38%2F038b72c119fd30ee5f8c26b40443b27a5c1f7d43-1659x696.jpg?alt=media)

The new UI is in beta, and you can [learn more about it in our guide](/xamarin/viewer/new-document-viewer-ui-x.md#ios). For information on migrating to use the new UI in your project, please see our [migration guide](/xamarin/viewer/new-ui-migration-x.md#ios).

* A new [`PTRubberStampCreate`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTRubberStampCreate.html) tool and UI control for adding rubber stamp annotations.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-07e958d5eb2a26c95f6618d536a03fbe0164bb64%2F2226acf075c3f74d359d7ffb1b23d792ca4b0071-376x812.gif?alt=media)

* Adds the ability to edit PDF text content, via the "Edit Text" menu option for selected text in the Complete Reader sample. This feature is in beta with many improvements coming.
* A new magnification loupe when creating or modifying measurement (ruler, perimeter, area) annotations.
* New pages can now be added from the camera in [`PTAddPagesViewController`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTAddPagesViewController.html).
* Adds live annotation appearance support for rectangle annotations with cloudy borders.
* XLS Office conversion is greatly improved as it is now converted using Apryse-developed conversion (rather than a `WKWebView`).
* Adds ability to collaborate on `PTSignatureWidget` annotations in the collaboration viewer.

### Bug Fixes

* Fixes an issue with free text annotations on rotated pages.
* Fixes an issue where the viewer is dismissed when a video annotation stops playing.
* Other minor bug fixes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/changelogs/version-8/v8-0-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
